The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Traffic Statistics for the SSL

Prev Next

This URL is used to retrieve traffic statistics for SSL for a Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/sensorsslstats

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

recycledSSLFlows

Recycled SSL flows

Number

sslFlowAllocationErrors

SSL flow allocation errors

Number

skippedSSLFlowsDueFlowAllocationErrors

Skipped SSL flows due to flow allocation errors

Number

packetsReceivedFromUnknownSSLFlows

Packets received from unknown SSL flows

Number

sslFlowsUsingUnsupportedDiffieHellmanCipherSuite

SSL flows using unsupported Diffie-Hellman cipher suite

Number

sslFlowsUsingUnsupportedExportCipher

SSL flows using unsupported export cipher

Number

sslFlowsUsingUnsupportedOrUnknownCipher

SSL flows using unsupported or unknown cipher

Number

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/sensorsslstats

Response

{
  "recycledSSLFlows": 0,
  "sslFlowAllocationErrors": 0,
  "skippedSSLFlowsDueFlowAllocationErrors": 0,
  "packetsReceivedFromUnknownSSLFlows": 0,
  "sslFlowsUsingUnsupportedDiffieHellmanCipherSuite": 0,
  "sslFlowsUsingUnsupportedExportCipher": 0,
  "sslFlowsUsingUnsupportedOrUnknownCipher": 0
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

Invalid Sensor: When the device id given is not valid